package com.post;

import com.ruoyi.common.utils.Arith;

import java.math.BigDecimal;

public class Test02 {
    public static void main(String[] args) {
        String str = "GJ-MF5-2023-Z-000001";
        int index = str.lastIndexOf("-");
//        System.out.println(str.substring(index - 1));
//        System.out.println(str.substring(index));
        System.out.println("index = " + index);
        System.out.println("index = " + str.length());
        System.out.println(str.substring(index + 1));

        long l = Long.parseLong("000001");
        System.out.println("l = " + l);

         l = Long.parseLong("002001");
        System.out.println("l = " + l);

         l = Long.parseLong("030301");
        System.out.println("l = " + l);

         l = Long.parseLong("400001");
        System.out.println("l = " + l);
    }
}
